* Errata

* from aggregated data 
drop pet_code res_code lawtype_cat origin_cat led1 led2 led22 led analu j3 origin source


gen st_loc_pet_v_us= 0 
replace st_loc_pet_v_us = 1 if state_local_pet ==1 & us_party2 ==1

gen state_local_party1 = 0
replace state_local_party1 = 1 if state_party1 ==1 | local_party1 ==1

gen state_local_party2 = 0
replace state_local_party2 = 1 if state_party2 ==1 | local_party2 ==1


gen us_v_st_loc_pet= 0 
replace us_v_st_loc_pet = 1 if us_party1 == 1 & (state_party2 ==1 | local_party2 ==1)

gen us_v_bus= 0 
replace us_v_bus = 1 if us_party1 == 1 & (bus_party2 ==1)

gen st_loc_pet_v_bus= 0 
replace st_loc_pet_v_bus = 1 if state_local_pet ==1 & bus_party2 ==1

gen bus_v_us= 0 
replace bus_v_us = 1 if us_party2 == 1 & (bus_party1 ==1)


gen gov1 = 0
replace gov1 = 1 if (us_party1 == 1 | state_local_party1 ==1 | jud_party1==1)

gen gov2 = 0
replace gov2 = 1 if (us_party2 == 1 | state_local_party2 ==1 | jud_party2==1)




gen pers_persbus_nonprof2 = 0
replace pers_persbus_nonprof2 = 1 if persbus_party2 == 1 | nonprof_party2 == 1 | person_party2 == 1 




gen pers_persbus_nonprof1 = 0
replace pers_persbus_nonprof1 = 1 if persbus_party1 == 1 | nonprof_party1 == 1 | person_party1 == 1 

* more general 
gen bus_v_gov= 0 
replace bus_v_gov = 1 if (gov2==1) & (bus_party1 ==1)

gen gov_v_bus= 0 
replace gov_v_bus = 1 if (gov1==1) & (bus_party2 ==1)

gen gov_v_gov= 0 
replace gov_v_gov = 1 if (gov1==1) & (gov2 ==1)

gen same_state = 0
replace same_state = 1 if (state_party1==1 &  state_party2==1)

gen same_local = 0
replace same_local = 1 if (local_party1==1 &  local_party2==1)

gen same_buslow = 0
replace same_buslow = 1 if (persbus_party1==1 &  persbus_party2==1)

gen same_bus = 0
replace same_bus = 1 if (bus_party1==1 & bus_party2==1) 



gen same_v_same = 0
replace same_v_same = 1 if (same_bus==1) | (same_state==1) | (same_buslow==1)

gen bus_v_low= 0 
replace bus_v_low = 1 if bus_party1 ==1 & (pers_persbus_nonprof2 ==1)

gen low_v_bus = 0 
replace low_v_bus = 1 if bus_party2 ==1 & (pers_persbus_nonprof1 ==1)



gen gov_v_low= 0 
replace gov_v_low = 1 if (gov1==1) & (pers_persbus_nonprof2 ==1)

gen low_v_gov= 0 
replace low_v_gov = 1 if (gov2==1)  & (pers_persbus_nonprof1 ==1)

gen low_v_low = 0
replace low_v_low = 1 if (pers_persbus_nonprof1 ==1) & (pers_persbus_nonprof2 ==1)

gen bus_v_bus = 0
replace bus_v_bus=1 if bus_party1==1 & bus_party2==1

tab bus_v_gov
tab bus_v_low

tab gov_v_bus
tab gov_v_low


tab low_v_bus
tab low_v_gov

generate state_v_state=0
replace state_v_state=1 if  state_local_party1 ==1 & state_local_party2 ==1

gen litigation_type2 = 0
replace litigation_type2 = 1 if low_v_gov==1
replace litigation_type2 = 2 if low_v_bus==1
replace litigation_type2 = 3 if low_v_low==1

replace litigation_type2 = 4 if bus_v_gov==1
replace litigation_type2 = 5 if bus_v_low==1
replace litigation_type2 = 6 if bus_v_bus==1


replace litigation_type2 = 7 if gov_v_bus==1
replace litigation_type2 = 8 if gov_v_low==1

replace litigation_type2 = 9 if gov_v_gov==1

label define litigation_type2 	0 "Other"	///
								1 "Ind v. government" ///
								2 "Ind v. business" ///
								3 "Ind v. individual" ///
								4 "Business v. government" ///
								5 "Business v. individual" ///
								6 "Business v. business" ///
								7 "Government v. business" ///
								8 "Government v. individual" ///
								9 "Government v. government" 

label values litigation_type2 litigation_type2

clonevar petwin =  partyWinning
recode petwin (2=.)


gen litigation_type = 0
replace litigation_type = 1 if low_v_gov==1
replace litigation_type = 2 if low_v_bus==1
replace litigation_type = 3 if low_v_low==1

replace litigation_type = 4 if bus_v_gov==1
replace litigation_type = 5 if bus_v_low==1
replace litigation_type = 6 if bus_v_bus==1


replace litigation_type = 7 if gov_v_bus==1
replace litigation_type = 8 if gov_v_low==1

replace litigation_type = 9 if us_v_st_loc_pet==1
replace litigation_type = 10 if st_loc_pet_v_us==1
replace litigation_type = 11 if state_v_state==1

label define litigation_type 	0 "Other"	///
								1 "Ind v. government" ///
								2 "Ind v. business" ///
								3 "Ind v. individual" ///
								4 "Business v. government" ///
								5 "Business v. individual" ///
								6 "Business v. business" ///
								7 "Government v. business" ///
								8 "Government v. individual" ///
								9 "U.S v. state or local" ///
								10 "State or local v. U.S." ///
								11 "State v. state" 
label values litigation_type litigation_type


gen affirm_liblct = 0
replace affirm_liblct = 1 if lib_lct == 1 & aff == 1

gen con_pet_loses = 0
replace con_pet_loses = 1 if affirm_liblct == 1


gen reverse_liblct  = 0
replace reverse_liblct = 1 if lib_lct == 1 & rev == 1

gen lib_pet_loses = 0
replace lib_pet_loses = 1 if reverse_liblct == 1


gen affirm_conlct = 0
replace affirm_conlct = 1 if lib_lct == 0 & aff == 1

replace lib_pet_loses = 1 if affirm_conlct == 1


gen reverse_conlct = 0
replace reverse_conlct = 1 if lib_lct == 0 & rev == 1

replace con_pet_loses = 1 if reverse_conlct == 1

egen overall_circuit_median = rowmean (circuit_median1 circuit_median2 circuit_median3 circuit_median4 circuit_median5 circuit_median6 circuit_median7 circuit_median8 circuit_median9 circuit_median10 circuit_median11 circuit_median12 circuit_median13)


label var sg_brief_ind "Solicitor General filed Amicus Brief"
 * kw_natpol_liberalism 1974-2005
* policylib_ls 1955-2000

* To measure policy liberalism from years 1947-2000 (terms 1946-term 1999), we use 
* Kelly, Nathan J. "Political choice, public policy, and distributional outcomes." American Journal of Political Science 49, no. 4 (2005): 865-880.

*These measures were updated by 
* Kelly, Nathan J., and Christopher Witko. "Federalism and American inequality." The Journal of Politics 74, no. 2 (2012): 414-426. 
* But Kelly and Witko only included years 1975-2006, terms 1974-2005.

* To get updated measures of national policy liberalism, we use Kelly (2005) for scores before 1975
* along with Kelly and Witko (2012) for updates from 2000-2006. 

* The measures differ slightly, though r = .96
* For that reason, to cmobine them, we create zscores for each measure of policy liberalism. 
* We combine the zscores into an index such that when the other measure was missing, we included the zscore for the singl measure. 

* Note that since the term begins at the end of the year, for the term that begins in 1946, we applied 1947 data. 

gen pollib_kelly2005 = 		10.21145	 if term == 	1946
replace pollib_kelly2005 = 		6.497669	 if term == 	1947
replace pollib_kelly2005 = 		6.783889	 if term == 	1948
replace pollib_kelly2005 = 		4.07011	 if term == 	1949
replace pollib_kelly2005 = 		1.356331	 if term == 	1950
replace pollib_kelly2005 = 		-1.357449	 if term == 	1951
replace pollib_kelly2005 = 		-5.071228	 if term == 	1952
replace pollib_kelly2005 = 		-7.785007	 if term == 	1953
replace pollib_kelly2005 = 		-9.498787	 if term == 	1954
replace pollib_kelly2005 = 		-11.21257	 if term == 	1955
replace pollib_kelly2005 = 		-11.92634	 if term == 	1956
replace pollib_kelly2005 = 		-12.64012	 if term == 	1957
replace pollib_kelly2005 = 		-15.3539	 if term == 	1958
replace pollib_kelly2005 = 		-17.06768	 if term == 	1959
replace pollib_kelly2005 = 		-15.78146	 if term == 	1960
replace pollib_kelly2005 = 		-16.49524	 if term == 	1961
replace pollib_kelly2005 = 		-16.20902	 if term == 	1962
replace pollib_kelly2005 = 		-11.9228	 if term == 	1963
replace pollib_kelly2005 = 		0.3634204	 if term == 	1964
replace pollib_kelly2005 = 		4.649641	 if term == 	1965
replace pollib_kelly2005 = 		5.935862	 if term == 	1966
replace pollib_kelly2005 = 		11.22208	 if term == 	1967
replace pollib_kelly2005 = 		11.5083	 if term == 	1968
replace pollib_kelly2005 = 		13.79452	 if term == 	1969
replace pollib_kelly2005 = 		13.08074	 if term == 	1970
replace pollib_kelly2005 = 		15.36697	 if term == 	1971
replace pollib_kelly2005 = 		15.65319	 if term == 	1972
replace pollib_kelly2005 = 		15.93941	 if term == 	1973
replace pollib_kelly2005 = 		15.22563	 if term == 	1974
replace pollib_kelly2005 = 		13.51185	 if term == 	1975
replace pollib_kelly2005 = 		14.79807	 if term == 	1976
replace pollib_kelly2005 = 		13.08429	 if term == 	1977
replace pollib_kelly2005 = 		11.37051	 if term == 	1978
replace pollib_kelly2005 = 		10.65673	 if term == 	1979
replace pollib_kelly2005 = 		3.942951	 if term == 	1980
replace pollib_kelly2005 = 		3.229172	 if term == 	1981
replace pollib_kelly2005 = 		2.515393	 if term == 	1982
replace pollib_kelly2005 = 		-0.1983864	 if term == 	1983
replace pollib_kelly2005 = 		-3.912166	 if term == 	1984
replace pollib_kelly2005 = 		-4.625945	 if term == 	1985
replace pollib_kelly2005 = 		-3.339724	 if term == 	1986
replace pollib_kelly2005 = 		-3.053504	 if term == 	1987
replace pollib_kelly2005 = 		-4.767283	 if term == 	1988
replace pollib_kelly2005 = 		-1.481062	 if term == 	1989
replace pollib_kelly2005 = 		-2.194841	 if term == 	1990
replace pollib_kelly2005 = 		-2.908621	 if term == 	1991
replace pollib_kelly2005 = 		0.3775999	 if term == 	1992
replace pollib_kelly2005 = 		0.6638206	 if term == 	1993
replace pollib_kelly2005 = 		-2.049959	 if term == 	1994
replace pollib_kelly2005 = 		-4.763738	 if term == 	1995
replace pollib_kelly2005 = 		-7.477517	 if term == 	1996
replace pollib_kelly2005 = 		-8.191297	 if term == 	1997
replace pollib_kelly2005 = 		-10.90508	 if term == 	1998
replace pollib_kelly2005 = 		-13.61886	 if term == 	1999


gen pollib_kellywitko_2011 = 	17.32225	 if term == 	1974
replace pollib_kellywitko_2011 = 	15.82964	 if term == 	1975
replace pollib_kellywitko_2011 = 	17.33703	 if term == 	1976
replace pollib_kellywitko_2011 = 	15.84442	 if term == 	1977
replace pollib_kellywitko_2011 = 	14.35181	 if term == 	1978
replace pollib_kellywitko_2011 = 	13.8592	 if term == 	1979
replace pollib_kellywitko_2011 = 	7.366592	 if term == 	1980
replace pollib_kellywitko_2011 = 	6.873983	 if term == 	1981
replace pollib_kellywitko_2011 = 	6.381374	 if term == 	1982
replace pollib_kellywitko_2011 = 	3.888765	 if term == 	1983
replace pollib_kellywitko_2011 = 	0.3961563	 if term == 	1984
replace pollib_kellywitko_2011 = 	-0.0964527	 if term == 	1985
replace pollib_kellywitko_2011 = 	1.410938	 if term == 	1986
replace pollib_kellywitko_2011 = 	1.918329	 if term == 	1987
replace pollib_kellywitko_2011 = 	0.4257201	 if term == 	1988
replace pollib_kellywitko_2011 = 	3.933111	 if term == 	1989
replace pollib_kellywitko_2011 = 	3.440502	 if term == 	1990
replace pollib_kellywitko_2011 = 	2.947893	 if term == 	1991
replace pollib_kellywitko_2011 = 	6.455284	 if term == 	1992
replace pollib_kellywitko_2011 = 	6.962675	 if term == 	1993
replace pollib_kellywitko_2011 = 	4.470066	 if term == 	1994
replace pollib_kellywitko_2011 = 	1.977457	 if term == 	1995
replace pollib_kellywitko_2011 = 	-0.5151523	 if term == 	1996
replace pollib_kellywitko_2011 = 	-1.007761	 if term == 	1997
replace pollib_kellywitko_2011 = 	-3.500371	 if term == 	1998
replace pollib_kellywitko_2011 = 	-5.99298	 if term == 	1999
replace pollib_kellywitko_2011 = 	-10.48559	 if term == 	2000
replace pollib_kellywitko_2011 = 	-10.9782	 if term == 	2001
replace pollib_kellywitko_2011 = 	-15.47081	 if term == 	2002
replace pollib_kellywitko_2011 = 	-16.96342	 if term == 	2003
replace pollib_kellywitko_2011 = 	-19.45602	 if term == 	2004
replace pollib_kellywitko_2011 = 	-21.94863	 if term == 	2005

gen zpol_lib_kw = (pollib_kellywitko_2011- 3.579888) / 9.57802 

gen zpol_lib_k = (pollib_kelly2005 - .9693117) / 10.16426



egen zpol_lib = rowmean (zpol_lib_kw zpol_lib_k)
sum zpol_lib 
gen zpol_lib01 = ((zpol_lib - `r(min)') / (`r(max)' - `r(min)')) 

label var gssconf_greatdeal "Weighted percent with great deal confidence, GSS" 
label var gssconf_only_some "Weighted percent with only some confidence, GSS"
label var gssconf_hardly "Weighted percent with hardly any confidence, GSS"
label var pollib_kelly2005 "Policy liberalism Kelly (2005): 1946-1999 terms" 
label var pollib_kellywitko_2011 "Policy liberalism Kelly and Witko (2011): 1974-2005 terms"

label var zpol_lib_kw "Zscore of policy liberalism Kelly and Witko (2011): 1974-2005 terms"
label var zpol_lib_k "Zscore of policy liberalism Kelly (2005): 1946-1999 terms"
label var zpol_lib "Mean index of policy liberalism z scores" 
label var zpol_lib01 "Mean index of policy liberalism, normalized 0-1"


* added to CaseId and aggregate data 

gen gssconf_greatdeal = 	32.6		 if year == 	1973
replace gssconf_greatdeal = 	34.8		 if year == 	1974
replace gssconf_greatdeal = 	31.7		 if year == 	1975
replace gssconf_greatdeal = 	36.1		 if year == 	1976
replace gssconf_greatdeal = 	37.3		 if year == 	1977
replace gssconf_greatdeal = 	29.6		 if year == 	1978
replace gssconf_greatdeal = 	25.5		 if year == 	1980
replace gssconf_greatdeal = 	30.7		 if year == 	1982
replace gssconf_greatdeal = 	28.3		 if year == 	1983
replace gssconf_greatdeal = 	34.6		 if year == 	1984
replace gssconf_greatdeal = 	31.4		 if year == 	1986
replace gssconf_greatdeal = 	36.4		 if year == 	1987
replace gssconf_greatdeal = 	36.6		 if year == 	1988
replace gssconf_greatdeal = 	36.3		 if year == 	1989
replace gssconf_greatdeal = 	36		 if year == 	1990
replace gssconf_greatdeal = 	39		 if year == 	1991
replace gssconf_greatdeal = 	31.4		 if year == 	1993
replace gssconf_greatdeal = 	32.2		 if year == 	1994
replace gssconf_greatdeal = 	29.8		 if year == 	1996
replace gssconf_greatdeal = 	32.6		 if year == 	1998
replace gssconf_greatdeal = 	34.4		 if year == 	2000
replace gssconf_greatdeal = 	37.4		 if year == 	2002
replace gssconf_greatdeal = 	32.1		 if year == 	2004
replace gssconf_greatdeal = 	33.9		 if year == 	2006
replace gssconf_greatdeal = 	31.6		 if year == 	2008
replace gssconf_greatdeal = 	30.5		 if year == 	2010
replace gssconf_greatdeal = 	29.5		 if year == 	2012
replace gssconf_greatdeal = 	23.8		 if year == 	2014
replace gssconf_greatdeal = 	26.2		 if year == 	2016
replace gssconf_greatdeal = 	31.3		 if year == 	2018
gen gssconf_only_some = 	51.5		 if year == 	1973
replace gssconf_only_some = 	50.2		 if year == 	1974
replace gssconf_only_some = 	49		 if year == 	1975
replace gssconf_only_some = 	47.6		 if year == 	1976
replace gssconf_only_some = 	51.8		 if year == 	1977
replace gssconf_only_some = 	54.8		 if year == 	1978
replace gssconf_only_some = 	53.7		 if year == 	1980
replace gssconf_only_some = 	56.5		 if year == 	1982
replace gssconf_only_some = 	56.7		 if year == 	1983
replace gssconf_only_some = 	52.4		 if year == 	1984
replace gssconf_only_some = 	54.3		 if year == 	1986
replace gssconf_only_some = 	52.9		 if year == 	1987
replace gssconf_only_some = 	52.8		 if year == 	1988
replace gssconf_only_some = 	53.3		 if year == 	1989
replace gssconf_only_some = 	50.7		 if year == 	1990
replace gssconf_only_some = 	47.9		 if year == 	1991
replace gssconf_only_some = 	54.7		 if year == 	1993
replace gssconf_only_some = 	51.5		 if year == 	1994
replace gssconf_only_some = 	52.1		 if year == 	1996
replace gssconf_only_some = 	52.7		 if year == 	1998
replace gssconf_only_some = 	52.3		 if year == 	2000
replace gssconf_only_some = 	51.4		 if year == 	2002
replace gssconf_only_some = 	53		 if year == 	2004
replace gssconf_only_some = 	50.8		 if year == 	2006
replace gssconf_only_some = 	54.3		 if year == 	2008
replace gssconf_only_some = 	52.1		 if year == 	2010
replace gssconf_only_some = 	54.3		 if year == 	2012
replace gssconf_only_some = 	55.9		 if year == 	2014
replace gssconf_only_some = 	54.5		 if year == 	2016
replace gssconf_only_some = 	54.3		 if year == 	2018
gen gssconf_hardly = 	16		 if year == 	1973
replace gssconf_hardly = 	15		 if year == 	1974
replace gssconf_hardly = 	19.2		 if year == 	1975
replace gssconf_hardly = 	16.3		 if year == 	1976
replace gssconf_hardly = 	10.9		 if year == 	1977
replace gssconf_hardly = 	15.6		 if year == 	1978
replace gssconf_hardly = 	20.9		 if year == 	1980
replace gssconf_hardly = 	12.9		 if year == 	1982
replace gssconf_hardly = 	15.1		 if year == 	1983
replace gssconf_hardly = 	13		 if year == 	1984
replace gssconf_hardly = 	14.3		 if year == 	1986
replace gssconf_hardly = 	10.7		 if year == 	1987
replace gssconf_hardly = 	10.5		 if year == 	1988
replace gssconf_hardly = 	10.4		 if year == 	1989
replace gssconf_hardly = 	13.3		 if year == 	1990
replace gssconf_hardly = 	13.1		 if year == 	1991
replace gssconf_hardly = 	13.9		 if year == 	1993
replace gssconf_hardly = 	16.3		 if year == 	1994
replace gssconf_hardly = 	18.2		 if year == 	1996
replace gssconf_hardly = 	14.6		 if year == 	1998
replace gssconf_hardly = 	13.3		 if year == 	2000
replace gssconf_hardly = 	11.2		 if year == 	2002
replace gssconf_hardly = 	14.9		 if year == 	2004
replace gssconf_hardly = 	15.4		 if year == 	2006
replace gssconf_hardly = 	14.2		 if year == 	2008
replace gssconf_hardly = 	17.4		 if year == 	2010
replace gssconf_hardly = 	16.1		 if year == 	2012
replace gssconf_hardly = 	20.3		 if year == 	2014
replace gssconf_hardly = 	19.4		 if year == 	2016
replace gssconf_hardly = 	14.4		 if year == 	2018

gen year_term = term

gen year_calendar = year

replace year_calendar = term+1 
replace year = term 

label var year_calendar "The year after the term begins"
label var year_calendar "Term"

tab sg_brief_ind sgamicus_ls, miss

recode FirstCircuit (.=0) 
recode SecondCircuit (.=0) 
recode ThirdCircuit (.=0) 
recode FourthCircuit (.=0) 
recode FifthCircuit (.=0) 
recode SixthCircuit (.=0) 
recode SeventhCircuit (.=0) 
recode EighthCircuit (.=0) 
recode NinthCircuit (.=0) 
recode TenthCircuit (.=0) 
recode EleventhCircuit (.=0) 
recode DCCircuit (.=0) 
recode OtherCircuit (.=0)

label var year_calendar "Calendar year = term+1"

*Natural court is confusing 
use "${sc_OneFinal}2023_2_11_SCDB_Baird_CaseJusticeAmicus.dta"


clonevar naturalCourt_spec = naturalCourt
label var naturalCourt_spec "Original naturalCourt variable from the SCDB"

replace naturalCourt = 1 if vinson==1
replace naturalCourt = 2 if warren==1
replace naturalCourt = 3 if burger==1
replace naturalCourt = 4 if rehnquist==1
replace naturalCourt = 5 if roberts==1

* Drop affirm because identical to brief_affirm and is confusing

use "${sc_OneFinal}2023_2_11_SCDB_Baird_CaseJusticeAmicus.dta"

drop affirm

* I included this in the SCDB_Clean_CaseID_Final already 
gen aff = 0
replace aff = 1 if caseDisposition == 2


gen affl = 0
replace revl = 1 if (decisionDirection == 2 & aff == 1)

gen affc = 0
replace revc = 1 if (decisionDirection == 1 & aff == 1)


* revc is missing data entirely, so I corrected that in do file as well. 
replace revc = 1 if (decisionDirection == 1 & rev == 1)



use "${sc_OneFinal}2023_2_11_SCDB_Baird_CaseJusticeAmicus.dta"

gen ideo_doct_rev = ideo_doct if rev ==1 

gen ideo_doct_revc = ideo_doct if rev ==1 & con ==1
gen ideo_doct_revl = ideo_doct if rev ==1 & lib ==1

save "${sc_OneFinal}2023_2_11_SCDB_Baird_CaseJusticeAmicus.dta", replace

gen ideo_doct_aff = ideo_doct if aff ==1 

gen ideo_doct_affc = ideo_doct if aff ==1 & con ==1
gen ideo_doct_affl = ideo_doct if aff ==1 & lib ==1

save "${sc_OneFinal}2023_2_11_SCDB_Baird_CaseJusticeAmicus.dta", replace



use "${sc_OneFinal}2023_2_10_SCDB_Baird_CaseJusticeAmicus_svalue_term.dta"
drop _merge
save "${sc_OneFinal}2023_2_10_SCDB_Baird_CaseJusticeAmicus_svalue_term.dta", replace

use "${sc_OneFinal}2023_2_11_SCDB_Baird_CaseJusticeAmicus.dta"


sort term svalue_gen
save "${sc_OneFinal}2023_2_11_SCDB_Baird_CaseJusticeAmicus.dta", replace


collapse (mean)  ideo_doct_rev ideo_doct_revc ideo_doct_revl ///
ideo_doct_aff ideo_doct_affc ideo_doct_affl (sum) revc,  by ( term svalue_gen)
drop if svalue ==.
drop if term ==2021
sort term svalue_gen
save "${sc_OneFinal}just ideo_doct reversals and affirm 2023_2_12_SCDB_Baird_CaseJusticeAmicus.dta", replace


use "${sc_OneFinal}2023_2_10_SCDB_Baird_CaseJusticeAmicus_svalue_term.dta"
drop if term ==.
drop if term ==2021
drop if svalue_gen ==.
merge m:m  term svalue_gen using "${sc_OneFinal}just ideo_doct reversals and affirm 2023_2_12_SCDB_Baird_CaseJusticeAmicus.dta"

save "${sc_OneFinal}2023_2_12_SCDB_Baird_CaseJusticeAmicus_svalue_term.dta", replace





save "${sc_OneFinal}2023_2_11_SCDB_Baird_CaseJusticeAmicus.dta", replace


collapse (mean)  ideo_doct_rev ideo_doct_revc ideo_doct_revl ///
ideo_doct_aff ideo_doct_affc ideo_doct_affl (sum) revc,  by ( term svalue_gen)







tsset term 


